/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Death on Nov-01-2011 07:27:00pm
Filepath: scripts\_custom\events and scenarios\Halloween2011\Quests\Quest Givers\Ester.cs
Lines of code: 78
***********************************************************/


using System;
using Server;
using Server.Items;
using Server.Mobiles;

namespace Server.Engines.Quests
{	
	public class EchoesOfTheAfterlifeQuest : BaseQuest
	{				
		public override object Title{ get{ return "Echoes Of The Afterlife"; } }
		
		public override object Description{ get{ return "If you listen carefully, you can hear the mutterings of wandering spirits. What? You can't hear anything? Hmmm then you'll need a device that can help you.<br><br>With my endless wisdom and knowledge, I can fabricate a device for you called the 'sound of spirits'. There are many wandering spirits in these parts who can tell you the most interesting stories. They've seen things around here that we could only hope to see!<br><br>Bring me enough orange lolipops and I'll make one of these devices for you!"; } }
		
		public override object Refuse{ get{ return "Tis a shame you won't accept my offer. The wandering spirits are great to talk to"; } }
		
		public override object Uncomplete{ get{ return "If you're looking for candy, some of the other witches might offer you some quests with a bag of candy as the reward."; } }
		
		public override object Complete{ get{ return "Excellent! This is exactly what I was looking for. Here, take this item and walk up to a wandering spirit. You should now be able to hear what they are saying"; } }
	
		public EchoesOfTheAfterlifeQuest() : base()
		{			
			AddObjective( new ObtainObjective( typeof( OrangeLolipop ), "Orange Lolipop", 25, 18062, 0, 0 ) );
			
			AddReward( new BaseReward( typeof( SoundOfSpirits ), "Sound of Spirits" ) );
		}
		
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}
		
		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}		
	}
	
	public class Ester : MondainQuester
	{
		public override Type[] Quests
		{ 
			get{ return new Type[] 
			{ 
				typeof( EchoesOfTheAfterlifeQuest )
			};} 
		}
		
		[Constructable]
		public Ester() : base( "Ester", "the sage" )
		{			
			SetSkill( SkillName.Meditation, 60.0, 83.0 );
			SetSkill( SkillName.Focus, 60.0, 83.0 );
		}
		
		public Ester( Serial serial ) : base( serial )
		{
		}		
		
		public override void InitBody()
		{
			InitStats( 100, 100, 25 );

			Hue = 0x83EA;

			Female = true;
			Body = 0x191;
		}
		
		public override void InitOutfit()
		{
			AddItem( new Robe( 0x1 ) );
			AddItem( new Sandals() );
			AddItem( new WizardsHat( 0x1 ) );
			AddItem( new GoldBracelet() );

			HairItemID = 0x203C;
			HairHue = 1153;

			Item staff = new GnarledStaff();
			staff.Movable = false;
			AddItem( staff );
		}
		
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}
		
		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}